Upload file
curl --request POST \
--url https://api.example.com/api/files/file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'import requests
url = "https://api.example.com/api/files/file"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/api/files/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owner_id": "<string>",
"name": "<string>",
"size": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bucket_name": "<string>",
"source_url": "<string>",
"s3_url": "<string>",
"access_count": 0,
"created_at": "2023-11-07T05:31:56Z",
"accessed_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Upload file
Upload a local file to Rapid’s S3 Bucket.
POST
/
api
/
files
/
file
Upload file
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
multipart/form-data
The file to upload.
Response
File uploaded successfully.
The logged in user's email ID.
Name of the uploaded file.
Size of the file in bytes.
Unique ID for the file.
Name of the S3 bucket that stores this file.
URL from which the file was originally uploaded.
S3 URL of the uploaded file.
Number of times you accessed the file.
Timestamp of the upload.
Timestamp when the file was last accessed.
Was this page helpful?
⌘I

